Steam for Linux > Általános témák > Téma részletei
Flutterspy 2013. máj. 13. @ du. 7:29
Steam dependency mess
After updating (K)ubuntu to version 13.04, Steam has gotten in a dependency mess.

I run a 64-bit system and have added i386 to dpkg (dpkg --add-architeture i386) and installed ia32-libs.

When I try to run Steam, it prompts me to install a package and fails when its dependency it's not met:

Steam needs to install these additional packages:
libgl1-mesa-dri:i386
[sudo] password for $username:
......................................................................................................................................................
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
libgl1-mesa-dri:i386 : Depends: libllvm3.2:i386 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
Press return to continue:

If I try to manually install libllvm3.2:i386 (I have the 64-bit installed already, and I need it to be installed), I get this message:

$username@$machine:~$ sudo apt-get install libllvm3.2:i386
[sudo] password for $username:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
libkwinactiveeffects1abi4 libkwinactivenvidiahack4 liblsofui4
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
gir1.2-totem-1.0 gstreamer1.0-clutter gstreamer1.0-plugins-bad
kde-window-manager kde-workspace kde-workspace-dev kubuntu-desktop
libclang-dev libclang1 libclutter-1.0-0 libclutter-gst-1.0-0
libclutter-gtk-1.0-0 libcogl-pango12 libcogl12 libegl1-mesa
libegl1-mesa-drivers libgbm1 libgl1-mesa-dri libkwinactiveglesutils1
libkwinactiveglutils1abi1 libkwinglesutils1 libkwinglutils1abi1 libllvm3.2
libmx-1.0-2 libtotem0 libxatracker1 totem totem-mozilla totem-plugins
ubuntu-desktop xorg xserver-xorg-video-all xserver-xorg-video-vmware
The following NEW packages will be installed:
libllvm3.2:i386
0 upgraded, 1 newly installed, 33 to remove and 0 not upgraded.
Need to get 8,434 kB of archives.
After this operation, 86.7 MB disk space will be freed.
Do you want to continue [Y/n]? n
Abort.

I evidently don't want to remove any of the packages mentioned. So, what is the issue here? I'm completely lost.

Thanks in advance.
Küldés ideje: 2013. máj. 13. @ du. 7:29
Hozzászólások: 0